/* Root Variables */
:root {
    --white: rgba(255, 255, 255, 1);
    --black: rgba(0, 0, 0, 1);
    --gray-light: rgba(220, 220, 220, 1);
    --gray-medium: rgba(170, 170, 170, 1);
    --gray-dark: rgba(140, 140, 140, 1);
    --alert-red: rgba(139, 0, 0, 1);
    --alert-red-light: rgba(139, 0, 0, .1);

    --transition: all 0.3s ease;
}

/* Dialog Styles */
.system-dialog {
    background: var(--white);
    padding: 0;
    max-height: 80vh;
    min-width: 300px;
    max-width: 50vw;
    border: 2px solid var(--black);
    text-align: left;
    width: clamp(300px, 40vw, 50vw);
}

.system-dialog .dialog-top-wrapper {
    border-bottom: 1px solid var(--black);
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px;
}

.system-dialog .dialog-top-wrapper .dialog-title {
    display: flex;
    align-items: center;
    font-size: 24px;
    line-height: 36px;
}

.system-dialog .dialog-top-wrapper .dialog-title svg {
    height: 36px;
    margin-right: 12px;
}

.system-dialog .dialog-top-wrapper .dialog-title svg path {
    fill: var(--black);
}

.system-dialog button.dialog-close {
    padding: 4px;
    border: none;
    margin: 0;
    height: 40px;
    width: 40px;
    background-color: var(--foodmenu-default-color, var(--primary-color, var(--gray-light)));
    transition: var(--transition);
    cursor: pointer;
}

.system-dialog button.dialog-close:focus,
.system-dialog button.dialog-close:hover {
    background-color: var(--gray-dark);
}

.system-dialog button.dialog-close svg {
    height: 30px;
    width: 30px;
}

.system-dialog button.dialog-close svg path,
.system-dialog button.dialog-close:focus svg path,
.system-dialog button.dialog-close:hover svg path {
    fill: var(--white);
}

.system-dialog .dialog-content-wrapper {
    padding: 24px 24px 48px;
}


.system-dialog .dialog-content-wrapper textarea {
    box-sizing: border-box;
    margin: 0 0 16px;
    padding: 8px;
    width: 100%;
}

.system-dialog .dialog-content-wrapper p {
    font-size: 18px;
    line-height: 30px;
    padding-bottom: 8px;
}

.system-dialog .dialog-subtitle {
    font-size: 18px;
    line-height: 36px;
    display: block;
    margin-bottom: 16px;
}

.dialog-alert,
.alert-message {
    background: var(--alert-red-light);
    border: 1px solid var(--alert-red);
    color: var(--alert-red);
    display: none;
    font-size: 16px;
    font-weight: bold;
    line-height: 24px;
    margin: 12px 0;
    padding: 12px;
}

.alert-message {
    display: block;
}

/* Form Styles */
label {
    font-size: 18px;
    line-height: 30px;
    font-weight: bold;
}

label.checkbox {
    display: flex;
    align-items: center;
    cursor: pointer;
}

input[type="checkbox"] {
    height: 18px;
    width: 18px;
    margin: 0 8px 0 0;
}

textarea {
    height: auto;
    padding: 6px 6px 12px 6px;
    width: 100%;
    font-size: 16px;
    line-height: 24px;
    box-sizing: border-box;
}